Author: tille
Date: 2009-01-01 22:13:17 +0000 (Thu, 01 Jan 2009)
New Revision: 2887

Added:
   trunk/packages/gnumed-server/trunk/debian/postinst
Removed:
   trunk/packages/gnumed-server/trunk/debian/patches/
Modified:
   trunk/packages/gnumed-server/trunk/debian/README.Debian
   trunk/packages/gnumed-server/trunk/debian/changelog
   trunk/packages/gnumed-server/trunk/debian/control
   trunk/packages/gnumed-server/trunk/debian/rules
Log:
Call bootstraping procedure in postinst, no quilt dependency because we need no 
patches


Modified: trunk/packages/gnumed-server/trunk/debian/README.Debian
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/README.Debian     2009-01-01 
22:00:58 UTC (rev 2886)
+++ trunk/packages/gnumed-server/trunk/debian/README.Debian     2009-01-01 
22:13:17 UTC (rev 2887)
@@ -13,11 +13,8 @@
 
 Make sure that your postgresql server is UTF-8 enabled, for instance
 
-$ psql -d template1 -c "show lc_ctype;"
-  lc_ctype   
-  -------------
+$ psql -t -d template1 -c "show lc_ctype;"
    de_DE.UTF-8
-   (1 Zeile)
 
 or at least lc_ctype=C.
 

Modified: trunk/packages/gnumed-server/trunk/debian/changelog
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/changelog 2009-01-01 22:00:58 UTC 
(rev 2886)
+++ trunk/packages/gnumed-server/trunk/debian/changelog 2009-01-01 22:13:17 UTC 
(rev 2887)
@@ -1,3 +1,10 @@
+gnumed-server (0v9-2) experimental; urgency=low
+
+  * Call bootstraping code in postinst
+  * No pathces are needed any more so just remove quilt dependency
+
+ -- Andreas Tille <[email protected]>  Thu, 01 Jan 2009 22:27:15 +0100
+
 gnumed-server (0v9-1) experimental; urgency=low
 
   * New upstream version

Modified: trunk/packages/gnumed-server/trunk/debian/control
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/control   2009-01-01 22:00:58 UTC 
(rev 2886)
+++ trunk/packages/gnumed-server/trunk/debian/control   2009-01-01 22:13:17 UTC 
(rev 2887)
@@ -4,7 +4,7 @@
 Maintainer: Debian-Med Packaging Team 
<[email protected]>
 DM-Upload-Allowed: yes
 Uploaders: Andreas Tille <[email protected]>
-Build-Depends: cdbs, debhelper, po-debconf, quilt
+Build-Depends: cdbs, debhelper, po-debconf
 Standards-Version: 3.8.0
 Homepage: http://gnumed.org/
 Vcs-Browser: 
http://svn.debian.org/wsvn/debian-med/trunk/packages/gnumed-server/trunk/?rev=0&sc=0

Added: trunk/packages/gnumed-server/trunk/debian/postinst
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/postinst                          
(rev 0)
+++ trunk/packages/gnumed-server/trunk/debian/postinst  2009-01-01 22:13:17 UTC 
(rev 2887)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for gnumed-server
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+       if ! psql -t -d template1 -c "show lc_ctype;" | grep -q -e C -e UTF-8 ; 
then
+           echo "Your PostgreSQL installation seems not to have lc_ctype UTF-8 
or C."
+           echo "This will most probably lead to failures of the GNUmed server 
installation."
+       fi
+       cd /var/lib/gnumed/server/bootstrap
+       GM_LOG_BASE="/var/log/gnumed/server" ./bootstrap-latest.sh
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

Modified: trunk/packages/gnumed-server/trunk/debian/rules
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/rules     2009-01-01 22:00:58 UTC 
(rev 2886)
+++ trunk/packages/gnumed-server/trunk/debian/rules     2009-01-01 22:13:17 UTC 
(rev 2887)
@@ -4,7 +4,7 @@
 
 pkg=gnumed-server
 
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 install/gnumed-server::


_______________________________________________
debian-med-commit mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/debian-med-commit

Reply via email to